# MinDalle_StableDiff

Create pictures with Mindalle and stable diffusion.
Python script with dependencies installation bat file.

## How to set up dalle mini + stable diffusion

1. Run "get_dependencies.bat";
    - if you see connections errors, just run the script again to be shure everything is installed;
2. Run "login.bat" to login to your HuggingFace profile;
    a. Go to <https://huggingface.co/CompVis/stable-diffusion-v1-4> and make sure to accept the terms.
    b. Go to Your Profile > Settings > Access Tokens;
    c. Create a write token/Copy an existing Token key and enter in the cmd window.
        - It can be done once and forever untill you delete token from C:\\Users\\%YOUR_USERNAME%\\.huggingface
3. You are redy to go.

## How to run

0. Clone this repo;
1. Write your promt to "promt.txt";
2. Run "run_all.bat";
    - First run will be slow due to downloading weights
3. When amount is asked, enter any number you want;
    - Quantity of output pictures = amount * 60
4. Just wait. It can be a long process;
5. You can find output files in .\\data\\out\\%Timestamp% folder. Jpeg contain commentaries in metadata with some settings used while generating.

## How to update

### Small update

1. Get new scripts from this repo;
2. Run "rem_dependencies.bat";
3. Run "get_dependencies.bat".

### Big update

1. Delete old files;
    - Don't forget to save your fenerated pictures
2. Clone this repo from scratch;
3. Run "get_dependencies.bat".

## Requirements

- 10GB of free space.
- Nvidia card with 4GB+ video memory.

## Tests

- RTX3070: 12 - 14 seconds per picture.
- RTX2060_Laptop: 21 - 25 seconds per picture.
